#ifndef FILTER_H
#define FILTER_H  1


/* ========================================================================== */
/* Include files */

#include "core.h"


/*! \addtogroup FILTER */
/* @{ */
/* @} */


/* ========================================================================== */
/* Function prototypes */

extern int  filter_init(int);
extern void  filter_exit(void);
extern int  filter_match_own(const struct core_hierarchy_element*);
extern int  filter_match_reply_to_own(const struct core_hierarchy_element*);
extern int  filter_get_score(const struct core_hierarchy_element*);
extern int  filter_check_testgroup(const char*);


#endif  /* FILTER_H */

/* EOF */
